---------------------
PatchSet 5350 
Date: 2007/08/16 12:33:30
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Found working configure setup.
Plus some cosmetic changes to autoconf content.

Members: 
	configure.in:1.63.2.37->1.63.2.38 

Index: squid3/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid3/configure.in,v
retrieving revision 1.63.2.37
retrieving revision 1.63.2.38
diff -u -r1.63.2.37 -r1.63.2.38
--- squid3/configure.in	16 Aug 2007 11:34:59 -0000	1.63.2.37
+++ squid3/configure.in	16 Aug 2007 12:33:30 -0000	1.63.2.38
@@ -1,7 +1,7 @@
 
 dnl  Configuration input file for Squid
 dnl
-dnl  $Id: configure.in,v 1.63.2.37 2007/08/16 11:34:59 amosjeffries Exp $
+dnl  $Id: configure.in,v 1.63.2.38 2007/08/16 12:33:30 amosjeffries Exp $
 dnl
 dnl
 dnl
@@ -11,7 +11,7 @@
 AC_CONFIG_AUX_DIR(cfgaux)
 AC_CONFIG_SRCDIR([src/main.cc])
 AM_INIT_AUTOMAKE([tar-ustar])
-AC_REVISION($Revision: 1.63.2.37 $)dnl
+AC_REVISION($Revision: 1.63.2.38 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
@@ -1814,25 +1814,29 @@
 ])
 
 dnl Search for OS support of IP Next Generation functions
-AC_CHECK_FUNC(getaddrinfo,[ AC_MSG_RESULT([yes]) ],[ AC_LIBOBJ(getaddrinfo) ])
-AC_SUBST(HAVE_GETADDRINFO)
-AC_CHECK_FUNC(getnameinfo,[ AC_MSG_RESULT([yes]) ],[ AC_LIBOBJ(getnameinfo) ])
-AC_SUBST(HAVE_GETNAMEINFO)
+AC_CHECK_FUNC(getaddrinfo,
+  [ AC_DEFINE(HAVE_GETADDRINFO,1,[DO NOT ALTER. Whether your system defines getaddrinfo]) ],
+  [ AC_LIBOBJ(getaddrinfo) ]
+)
+AC_CHECK_FUNC(getnameinfo,
+  [ AC_DEFINE(HAVE_GETNAMEINFO,1,[DO NOT ALTER. Whether your system defines getnameinfo]) ],
+  [ AC_LIBOBJ(getnameinfo) ]
+)
 
 dnl Check for Windows XP option
 AC_MSG_CHECKING([for IPv6 split-stack requirement])
 AC_ARG_WITH(ipv6-split-stack,
   [  --with-ipv6-split-stack  Require IPv6 split-stack support (Requires IPv6 Support)],
-  AC_DEFINE(USE_IPV6_SPLITSTACK, 1, [Enable support for split-stack IPv6 Implementations]) ,
-  AC_DEFINE(USE_IPV6_SPLITSTACK, 0, [No support for split-stack IPv6 Implementations])
+  AC_DEFINE(USE_IPV6_SPLITSTACK, 1, [ 1 == Enable support for IPv6 on split-stack implementations]) ,
+  AC_DEFINE(USE_IPV6_SPLITSTACK, 0, [ 0 == Disable support for split-stack IPv6 implementations])
 )
 
 dnl Check for IPv6 Windows Vista option
 AC_MSG_CHECKING([for IPv6 v4-mapping requirement])
 AC_ARG_WITH(ipv4-mapped,
   [  --with-ipv4-mapped  Hybrid-Stack OS require Squid to do any v4-mapping (Requires IPv6 Support)],
-  AC_DEFINE(IPV6_SPECIAL_V4MAPPING, 1, [Perform v4-mapping Internally]) ,
-  AC_DEFINE(IPV6_SPECIAL_V4MAPPING, 0, [Leave v4-mapping to OS Implementation])
+  AC_DEFINE(IPV6_SPECIAL_V4MAPPING, 1, [ 1 == Perform v4-mapping internally]) ,
+  AC_DEFINE(IPV6_SPECIAL_V4MAPPING, 0, [ 0 == Leave all v4-mapping to the OS])
 )
 
 AC_ARG_WITH(localhost-ipv6,
@@ -1842,8 +1846,8 @@
                            squid contacts via localhost being IPv6 enabled.
                            Default: OFF. Treats these two IP as different, squid.conf must
                            define both 127.0.0.1 and ::1 for the localhost ACL, etc. ],
-  AC_DEFINE(IPV6_SPECIAL_LOCALHOST, 1, [Convert IPv4-localhost requests to IPv6.]) ,
-  AC_DEFINE(IPV6_SPECIAL_LOCALHOST, 0, [Keep IPv4 and IPv6 Localhosts seperate.])
+  AC_DEFINE(IPV6_SPECIAL_LOCALHOST, 1, [ 1 == Convert IPv4-localhost requests to IPv6.]) ,
+  AC_DEFINE(IPV6_SPECIAL_LOCALHOST, 0, [ 0 == Keep IPv4 and IPv6 Localhosts seperate.])
 )
 
 dnl Enable IPv6 support
@@ -1866,18 +1870,18 @@
       [ AC_DEFINE(USE_IPV6,1,[Enable support for IPv6 ])
         AC_MSG_RESULT(yes)
       ],
-      [ AC_DEFINE(USE_IPV6,0,[Disable support for IPv6])
-        AC_DEFINE(USE_IPV6_SPLITSTACK,0,[Disable support for Split-Stack IPv6 Implementations])
-        AC_DEFINE(IPV6_SPECIAL_LOCALHOST,0,[Keep IPv4 and IPv6 Localhosts seperate.])
-        AC_DEFINE(IPV6_SPECIAL_V4MAPPING,0,[Leave v4-mapping to OS Implementation])
+      [ AC_DEFINE(USE_IPV6,0,[ 0 == Disable support for IPv6])
+        AC_DEFINE(USE_IPV6_SPLITSTACK,0,[ 0 == Disable support for Split-Stack IPv6 Implementations])
+        AC_DEFINE(IPV6_SPECIAL_LOCALHOST,0,[0 == Keep IPv4 and IPv6 Localhosts seperate.])
+        AC_DEFINE(IPV6_SPECIAL_V4MAPPING,0,[0 == Leave all v4-mapping to OS Implementation])
         AC_MSG_RESULT(no)
       ])
    )
 ],
 [ AC_DEFINE(USE_IPV6,0,[Disable support for IPv6])
-  AC_DEFINE(USE_IPV6_SPLITSTACK,0,[Disable support for Split-Stack IPv6 Implementations])
-  AC_DEFINE(IPV6_SPECIAL_LOCALHOST,0,[Keep IPv4 and IPv6 Localhosts seperate.])
-  AC_DEFINE(IPV6_SPECIAL_V4MAPPING,0,[Leave v4-mapping to OS Implementation])
+  AC_DEFINE(USE_IPV6_SPLITSTACK,0,[ 0 == Disable support for Split-Stack IPv6 Implementations])
+  AC_DEFINE(IPV6_SPECIAL_LOCALHOST,0,[ 0 == Keep IPv4 and IPv6 Localhosts seperate.])
+  AC_DEFINE(IPV6_SPECIAL_V4MAPPING,0,[ 0 == Leave v4-mapping to OS Implementation])
   AC_MSG_RESULT(no)
 ])
 
